"""
DO NOT EDIT THIS FILE!!
This file is automatically generated by the process_schemas.py program
in the scripts directory. It is not intended to be edited directly. If
you need to update the GEL protocol classes, please run the script
on the appropriate schema version.
"""
from protocols.protocol import (
    ProtocolElement,
    avro_parse,
    load_schema,
)


class FileEntry(ProtocolElement):
    """
    No documentation
    """

    # load schema from file
    _schemaSource = load_schema(__file__)
    # parse into avro classes
    schema = avro_parse(_schemaSource)

    requiredFields = {
        "attributes",
    }

    @classmethod
    def getEmbeddedTypes(cls):
        return {}

    @classmethod
    def getEmbeddedEnums(cls):
        return {}

    @classmethod
    def getEmbeddedByNamespace(cls):
        # import here to prevent circular imports in python 2.7.
        from protocols.protocol_7_2_1 import opencb as opencb_1_3_0

        return {
            "org.opencb.biodata.models.variant.avro.FileEntry": opencb_1_3_0.FileEntry,
        }

    __slots__ = [
        "attributes",
        "call",
        "fileId",
    ]

    def __init__(
        self,
        attributes,
        call=None,
        fileId=None,
        validate=None,
        **kwargs
    ):
        """Initialise the opencb_1_3_0.FileEntry model.

        :param attributes:
            * Optional attributes that probably depend on the format of the file
            the          * variant was initially read from.
        :type attributes: dict[str, str]
        :param call:
            * Original call position for the variant, if the file was normalized.
            *          *
            {position}:{reference}:{alternate}(,{other_alternate})*:{allele_index}
        :type call: None | str
        :param fileId:
            * Unique identifier of the source file.
        :type fileId: None | str
        """

        attributes = {k: v for k, v in locals().items() if k not in ["self", "unknown"]}
        ProtocolElement.__init__(self, **attributes)

    @classmethod
    def _namespace_version(cls):
        return "1.3.0"
